# LongSeqC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`

Include dependency graph for LongSeqC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | CORBA::LongSeq

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_LONGSEQ_CH_

## Typedefs

typedef TAO_FixedSeq_Var_T< LongSeq, CORBA::Long > | LongSeq_var
typedef TAO_Seq_Out_T< LongSeq, LongSeq_var, CORBA::Long > | LongSeq_out

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::LongSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::LongSeq &)

## Define Documentation

#define _CORBA_LONGSEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Seq_Out_T< LongSeq, LongSeq_var, CORBA::Long > CORBA::LongSeq_out

typedef TAO_FixedSeq_Var_T< LongSeq, CORBA::Long > CORBA::LongSeq_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::LongSeq & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::LongSeq & |
| ) |